# $Revision: 1.45 $, $Date: 2009/10/16 09:48:13 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	RSS
Summary:	XML::RSS - module for RDF Site Summary (RSS) files managment
Summary(pl.UTF-8):	XML::RSS - moduł do zarządzania plikami RDF Site Summary (RSS)
Name:		perl-XML-RSS
Version:	1.46
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	59b300feb6c74937e6afb109a934c466
URL:		http://search.cpan.org/dist/XML-RSS/
%if %{with tests}
BuildRequires:	perl-DateTime-Format-Mail
BuildRequires:	perl-DateTime-Format-W3CDTF
BuildRequires:	perl-Test-Manifest >= 0.9
BuildRequires:	perl-XML-Parser >= 2.23
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Provides:	perl(XML::RSS::Creator)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module was created to help those who need to manage RDF Site
Summary (RSS) files. It makes quick work of creating, updating, and
saving RSS files.

%description -l pl.UTF-8
Ten moduł został stworzony, aby pomóc przy zarządzaniu plikami RDF
Site Summary (RSS). Pozwala szybko tworzyć, uaktualniać i zapisywać
pliki RSS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/XML/RSS

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc TODO README Changes
%{perl_vendorlib}/XML/RSS.pm
%dir %{perl_vendorlib}/XML/RSS
%{perl_vendorlib}/XML/RSS/Private
%{_mandir}/man3/XML::RSS.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-RSS.spec,v $
Revision 1.45  2009/10/16 09:48:13  amateja
- updated to 1.46

Revision 1.44  2009/09/14 20:00:31  arekm
- up to 1.45

Revision 1.43  2009/01/07 09:11:02  duddits
- up to 1.42

Revision 1.42  2008/12/02 19:04:27  qboosh
- tests BR: perl-DateTime-Format-{Mail,W3CDTF} (as package itself at install time)
- reenabled tests (store_retrieve test is no more)

Revision 1.41  2008/12/02 07:10:33  arekm
- release 2

Revision 1.40  2008/12/02 07:07:52  qboosh
- package XML::RSS::Private modules

Revision 1.39  2008/12/01 14:05:03  arekm
- up to 1.40

Revision 1.38  2008/08/08 22:43:04  arekm
- release 2

Revision 1.37  2008-01-29 16:23:30  blekot
- P: perl(XML::RSS::Creator)
- rel 1

Revision 1.36  2007-03-31 17:05:06  qboosh
- generic URL

Revision 1.35  2007/03/25 22:53:08  sls
- ver. 1.22 (1.11 no longer available on cpan)

Revision 1.34  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.32  2006/10/20 20:27:37  ankry
- disable tests

Revision 1.31  2006/10/20 20:09:43  ankry
- ver. 1.11

Revision 1.30  2006/08/07 21:02:38  agaran
- up to 1.10, builds here

Revision 1.29  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.28  2004/11/03 22:30:56  paladine
- formatting

Revision 1.27  2004/08/13 18:06:57  adamg
- updated to 1.05

Revision 1.26  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.25  2004/06/02 07:59:11  ankry
- added %{perl_vendorlib}/XML/RSS dir for other modules, rel. 2

Revision 1.24  2004/05/06 18:01:33  ankry
- fixed perl-devel BR

Revision 1.23  2004/05/05 06:30:56  ankry
- license unification, cosmetics

Revision 1.22  2004/04/15 19:58:03  ankry
- cosmetics, unification, license fixes

Revision 1.21  2004/03/06 18:47:46  adamg
- updated to 1.04

Revision 1.20  2003/11/01 17:35:38  radek
- minor cosmetic, added tests

Revision 1.19  2003/09/09 10:24:55  ankry
- spaces -> tab

Revision 1.18  2003/08/13 14:46:38  ankry
- cosmetics

Revision 1.17  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.16  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/11 18:59:43  radek
- BR: perl-devel; do not BR: perl

Revision 1.13  2003/03/01 22:10:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.12  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.11  2003/02/21 23:45:51  ankry
- autoupdated to 1.02

Revision 1.10  2003/02/20 22:22:54  ankry
- updated to 1.01

Revision 1.9  2003/02/18 15:39:14  ankry
- massive attack: change CPAN URLs

Revision 1.8  2002/07/13 15:42:23  qboosh
- new %%doc, cosmetics

Revision 1.7  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.6  2002/03/03 21:59:16  marcus
- rel.2.

Revision 1.5  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/10 15:38:42  depesz
adapterized

Revision 1.3  2002/01/24 06:00:33  kloczek
- cosmetics.

Revision 1.2  2002/01/22 08:52:55  qboosh
- pl translation, BR: perl-XML-Parser not perl(XML::Parser)

Revision 1.1  2002/01/21 15:06:11  mis
 - new
